Subject: Re: MAKE.EXE: /bin/sh: Command not found
From: [email-masked] (James Paul Morgan)

26 Jun 1997 18:01:24 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Original-To: John E Hein <[email-masked]>
Original-cc: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

On Thu, 26 Jun 1997, John E Hein wrote:

> 
> I am running under Windows 95 (command.com... not bash).
> When I run make, I get the following error:
> 
> MAKE.EXE: /bin/sh: Command not found
> 

Make expects to find that /bin/sh program.  It's not something you can get
around.  If you want to use make from outside of bash, make a C:\bin and
put a copy of sh.exe in it.  (Assuming your running off of C-drive.) 

If your files are on the network at G:\whatever, then I believe (but am
not sure) that make will look for G:\bin\sh.exe.

I run under Win'95 as well, and have not found any way around this.  Even
if sh.exe is somewhere else on the path, make looks for it in /bin.

If you were running out of bash, you could mount the /bin as wherever your
sh.exe is located.

See ya around the Mulberry bush.

--James

:)

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".